<template>
  <div class="content">
    <!-- <img class="xingxing" src="../../assets/images/result/xingxing.png" alt=""> -->
    <div class="bg">
      <div style="transform: scale(0.85);  display: flex;flex-direction: column;align-items: center;box-sizing: border-box;justify-content: center;">
          <img class="circle_an" src="../../assets/images/result/top.png" width="20%" alt=""><br/>


        <div style="position:relative;">
          <img class="circle_an circle_Bg" src="/static/img/resultbg.png" width="100%" alt="">
          <div
            style="position:absolute;width:100%;top:50%;left:50%;transform: translate3d(-50%,-50%,0);text-align: center;">
            <!-- 主题内容 随机出现 -->
            <!-- A星 -->
            <img v-if="(Gender ==  'man') && (random_star == 1)" src="../../assets/images/result/A_M.png" width="55%"
              alt="">
            <img v-if="(Gender ==  'woman') && (random_star == 1)" src="../../assets/images/result/A_W.png" width="55%"
              alt="">
            <!-- C星 -->
            <img v-if="(Gender ==  'man') && (random_star == 2)" src="../../assets/images/result/C_M.png" width="55%"
              alt="">
            <img v-if="(Gender ==  'woman') && (random_star == 2)" src="../../assets/images/result/C_W.png" width="55%"
              alt="">
            <!-- I星 -->
            <img v-if="(Gender ==  'man') && (random_star == 3)" src="../../assets/images/result/I_M.png" width="55%"
              alt="">
            <img v-if="(Gender ==  'woman') && (random_star == 3)" src="../../assets/images/result/I_W.png" width="55%"
              alt="">
            <!-- L星 -->
            <img v-if="(Gender ==  'man') && (random_star == 4)" src="../../assets/images/result/L_M.png" width="55%"
              alt="">
            <img v-if="(Gender ==  'woman') && (random_star == 4)" src="../../assets/images/result/L_W.png" width="55%"
              alt="">
            <!-- P星 -->
            <img v-if="(Gender ==  'man') && (random_star == 5)" src="../../assets/images/result/P_M.png" width="55%"
              alt="">
            <img v-if="(Gender ==  'woman') && (random_star == 5)" src="../../assets/images/result/P_W.png" width="55%"
              alt="">
            <!-- S星 -->
            <img v-if="(Gender ==  'man') && (random_star == 6)" src="../../assets/images/result/S_M.png" width="55%"
              alt="">
            <img v-if="(Gender ==  'woman') && (random_star == 6)" src="../../assets/images/result/S_W.png" width="55%"
              alt="">
          </div>
        </div><br/>
        <!-- 查看详情button -->
        <img @click="goDetail()" style="z-index:2" src="../../assets/images/result/button.png" width="28%" alt=""><br />
        <img class="circle_an" src="../../assets/images/result/down.png" width="18%" alt="">
      </div>
    </div>
  </div>
</template>

<script>
    export default {
        name: 'Result',
        data() {
            return {
                Gender: localStorage.getItem('gender'),
                random_star: localStorage.getItem('random_star')
            }
        },
      //  beforeRouteEnter (to, from, next) {
      //       next(vm => {
      //           //清空所有缓存 
      //           if(from.name === 'DrawLine'){
      //               vm.random_star = Math.floor(Math.random() * 6 + 1)
      //               localStorage.setItem('random_star', vm.random_star)
      //           }else{
      //              vm.random_star = localStorage.getItem('random_star')
      //           }
      //       });
      //   },
        mounted() {
          console.log(localStorage.getItem('random_star'))
        },
        methods: {
            goDetail() {
                this.$router.replace('/starpoint/details')
            }
        }
    }
</script>

<style scoped lang="less">
    .content {
        width: 100%;
        height: 100%;
        background: #0a377d;
        position: relative;
        overflow: hidden;
    }
    
    .xingxing {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 100%;
        z-index: 1;
        animation: blink 2s infinite ease-in-out;
    }
    
    .bg {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: url('/static/img/starbg.png') center;
        background-size: cover;
        display: flex;flex-direction: column;align-items: center;box-sizing: border-box;justify-content: center;
    }
    
    img {
        /* animation: fadeIn 1s ease-in; */
    }
    
    .circle_Bg {
        transform-origin: 50% 50% !important;
    }
    
    .circle_an {
        transform-origin: 48% 51%;
        animation: rotateC 8s linear infinite;
    }
    
    @keyframes rotateC {
        from {
            transform: rotate(0);
        }
        to {
            transform: rotate(360deg);
        }
    }
</style>